Delete list
cURL
curl --request DELETE \
--url https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId} \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId}"
headers = {"x-site-context": "<x-site-context>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'DELETE', headers: {'x-site-context': '<x-site-context>'}};
fetch('https://prod01-apigw.yourcompany.fabric.zone/api-list/list/{listId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
| Status Code |
Description |
| 200 |
Message: List deleted successfully |
| 400 |
Bad Request |
| 404 |
Not Found |
| 500 |
Internal Server Error |
Sample Response
{
"message": "List deleted successfully"
}
Required Headers
- x-site-context
Type: string
Required: Yes
Description: The x-site-context header is a JSON object containing information about the source. It must include a mandatory account identifier.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
- listId
Type: string
Required: Yes
Description: The ID of the list to delete.
Response Example
{
"code": "LIST_TYPE_NOT_FOUND",
"message": "List type ID not found"
}